Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 459244 - Bad page state after writing to attached scsi DAT tape
Summary: Bad page state after writing to attached scsi DAT tape
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 461304
TreeView+ depends on / blocked
 
Reported: 2008-08-15 11:35 UTC by Bryn M. Reeves
Modified: 2018-10-20 02:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-03 13:58:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Bryn M. Reeves 2008-08-15 11:35:30 UTC
Description of problem:

bishop kernel: Bad page state at free_hot_cold_page (in process 'tar', page 000001012d8eddf8)
bishop kernel: flags:0x01000014 mapping:0000000000000000 mapcount:1 count:0
bishop kernel: Backtrace:
bishop kernel:
bishop kernel: Call Trace:<ffffffff8015e34b>{bad_page+112} <ffffffff8015ea2d>{free_hot_cold_page+130}
bishop kernel:        <ffffffffa00cc7b8>{:st:sgl_unmap_user_pages+67} <ffffffffa00cc7df>{:st:release_buffering+27}
bishop kernel:        <ffffffffa00d1196>{:st:st_write+2692} <ffffffff801ed989>{__up_read+16}
bishop kernel:        <ffffffff8017af0e>{vfs_write+207} <ffffffff8017aff6>{sys_write+69}
bishop kernel:        <ffffffff8011026a>{system_call+126}
bishop kernel: Trying to fix it up, but a reboot is needed

Version-Release number of selected component (if applicable):
2.6.9-67.ELsmp

How reproducible:
100%

Steps to Reproduce:
1. Back up some file systems to tape using tar
2. Rewind
3. Eject
  
Actual results:
Bad page status, system starts misbehaving (unresponsive)

Expected results:
No error

Additional info:

Comment 1 Bryn M. Reeves 2008-08-15 13:16:51 UTC
$ cat proc/scsi/scsi 
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: HP       Model: C7438A           Rev: ZU75
  Type:   Sequential-Access                ANSI SCSI revision: 02

scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: HP        Model: C7438A            Rev: ZU75
  Type:   Sequential-Access                  ANSI SCSI revision: 02
USB Mass Storage device found at 3

So the tape is attached via USB.

Comment 2 RHEL Program Management 2008-09-03 13:13:56 UTC
Updating PM score.


Note You need to log in before you can comment on or make changes to this bug.